-- Setup my mini.nvim settings
-- mini.nvim is amazing because it add's a lot of functionality while keeping itself as minimal as possible
-- because of it's modular nature and fact it has a lot of functionality it lower the amount of needed plugins even for advanced features

-- mini.nvim statusline module
require("mini.statusline").setup({
	set_vim_settings = false,
})

-- mini.nvim commeting module
require("mini.comment").setup({})

-- mini.nvim notification module
require("mini.notify").setup({})
-- make it default notification engine
vim.notify = require("mini.notify").make_notify()

-- mini.nvim surround module
require("mini.surround").setup({})

-- mini.nvim diff management module
require("mini.diff").setup({})

-- mini.nvim automatic highlight word under cursor module
require("mini.cursorword").setup({})

-- mini.nvim auto pair module
require("mini.pairs").setup({})

-- mini.nvim indentscope module
require("mini.indentscope").setup({})

-- mini.nvim better buffer removal module
require("mini.bufremove").setup({})

-- mini.nvim extending git support module
require("mini.git").setup({})
